%define name    keepalived
%define version 1.2.7
%define release %mkrel 2

Name: %{name}
Version: %{version}
Release: %{release}
Summary: HA monitor built upon LVS, VRRP and services poller
License: GPL
Group: System/Cluster 
URL: http://www.keepalived.org/
Source0: http://www.keepalived.org/software/%{name}-%{version}.tar.gz
Patch0: keepalived-1.2.2-lsb.patch
BuildRequires: openssl-devel
BuildRequires: libpopt-devel
BuildRequires: kernel-devel

%description
The main goal of the keepalived project is to add a strong & robust keepalive
facility to the Linux Virtual Server project. This project is written in C with
multilayer TCP/IP stack checks. Keepalived implements a framework based on
three family checks : Layer3, Layer4 & Layer5/7. This framework gives the
daemon the ability to check the state of an LVS server pool. When one of the
servers of the LVS server pool is down, keepalived informs the linux kernel via
a setsockopt call to remove this server entry from the LVS topology. In
addition keepalived implements an independent VRRPv2 stack to handle director
failover. So in short keepalived is a userspace daemon for LVS cluster nodes
healthchecks and LVS directors failover.

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%{makeinstall_std}
# Remove "samples", as we include them in %%doc
rm -rf %{buildroot}%{_sysconfdir}/%{name}/samples/

%post
%_post_service %{name}

%preun 
%_preun_service %{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHOR ChangeLog CONTRIBUTORS COPYING README TODO
%doc doc/keepalived.conf.SYNOPSIS doc/samples/
%dir %{_sysconfdir}/keepalived/
%attr(0600, root, root) %config(noreplace) %{_sysconfdir}/keepalived/keepalived.conf
%attr(0600, root, root) %config(noreplace) %{_sysconfdir}/sysconfig/keepalived
%{_sysconfdir}/rc.d/init.d/keepalived
%{_bindir}/genhash
%{_sbindir}/keepalived
%{_mandir}/man1/genhash.1*
%{_mandir}/man5/keepalived.conf.5*
%{_mandir}/man8/keepalived.8*





%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.2.7-2.mga3
+ Revision: 356117
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 30 2012 luigiwalser <luigiwalser> 1.2.7-1.mga3
+ Revision: 285629
- 1.2.7

* Tue Aug 21 2012 luigiwalser <luigiwalser> 1.2.6-1.mga3
+ Revision: 282788
- 1.2.6

* Sat Jul 28 2012 luigiwalser <luigiwalser> 1.2.3-2.mga3
+ Revision: 275364
- add upstream patch to fix security issue with using syslog in sighandlers

* Sat Jul 14 2012 luigiwalser <luigiwalser> 1.2.3-1.mga3
+ Revision: 270756
- 1.2.3
- remove patches 1 and 2, applied upstream

* Wed Jul 11 2012 luigiwalser <luigiwalser> 1.2.2-3.mga3
+ Revision: 269577
- add patch from debian to fix mga #4084

* Wed Jul 11 2012 luigiwalser <luigiwalser> 1.2.2-2.mga3
+ Revision: 269571
- add patch from debian to fix CVE-2011-1784

* Sat May 12 2012 colin <colin> 1.2.2-1.mga2
+ Revision: 235394
- Add LSB headers to initscripts (mga#5262)

* Sun Mar 06 2011 ennael <ennael> 1.2.2-0.mga1
+ Revision: 65416
- imported package keepalived

